### Hierarchy

- SimpleAccount
  - Account

## Index

### Constructors

- constructor

### Properties

- message
- nonce
- publicKey
- sig

### Methods

- toSimpleAccount

## Constructors

### constructor

- new Account(publicKey?: string, nonce?: number): Account

- Overrides SimpleAccount.constructor

  - Defined in repository/models/Account.ts:6

  #### Parameters

  - ##### Default value publicKey: string = ""

  - ##### Default value nonce: number = 0

  #### Returns Account

## Properties

### message

message: string = ""

- Defined in repository/models/Account.ts:5

### nonce

nonce: number = 0

Inherited from SimpleAccount.nonce

- Defined in repository/models/SimpleAccount.ts:4

### publicKey

publicKey: string = ""

Inherited from SimpleAccount.publicKey

- Defined in repository/models/SimpleAccount.ts:3

### sig

sig: string = ""

- Defined in repository/models/Account.ts:6

## Methods

### toSimpleAccount

- toSimpleAccount(): SimpleAccount

- - Defined in repository/models/Account.ts:12

  #### Returns SimpleAccount

Generated using TypeDoc